using System;
using System.IO;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp
{
    internal class Program
    {
        static void Main(string[] args)
        {
            SoftekBarcodeNet.BarcodeReader barcode = new SoftekBarcodeNet.BarcodeReader();

            // Set some properties
            //barcode.LicenseKey = "set your license key here";
            barcode.ReadDataMatrix = false;
            barcode.ReadQRCode = true;

            // Read the barcodes from an image
            int n = barcode.ScanBarCode(@"image.tif");

            // Get the results
            if (n == 0)
            {
                Console.WriteLine("No barcode found on this image");
            }
            else if (n > 0)
            {
                Console.WriteLine("Found the following barcodes...");
                for (int i = 1; i <= n; i++)
                {
                    Console.WriteLine("Barcode: " + i.ToString());
                    Console.WriteLine("Value: " + barcode.GetBarString(i).ToString());
                    Console.WriteLine("Type: " + barcode.GetBarStringType(i).ToString());
                    Console.WriteLine("Page: " + barcode.GetBarStringPage(i).ToString());
                    Console.WriteLine("Rect.X: " + barcode.GetBarStringRect(i).X.ToString());
                    Console.WriteLine("Rect.Y: " + barcode.GetBarStringRect(i).Y.ToString());
                    Console.WriteLine("Rect.Width: " + barcode.GetBarStringRect(i).Width.ToString());
                    Console.WriteLine("Rect.Height: " + barcode.GetBarStringRect(i).Height.ToString());
                    Console.WriteLine("");

                }
            }
            else
            {
                Console.WriteLine("There was an error: " + barcode.GetLastError().ToString());
            }
        }
    }
}
